# -*- coding: utf-8 -*-

from flask import Blueprint
from flask_restful import Api

{% for item in config %}
from . import {{item["name"]}}
{% endfor %}

api_v1 = Blueprint('api_v1', __name__)

api = Api(api_v1)

{% for item in config %}
api.add_resource({{ item['name'] }}.{{ item['controller']['className'] }}, '{{ item['view']['put']['path'] }}'{% if item['view']['put']['endpoint'] %}, endpoint={{ item['view']['put']['endpoint'] }}{% endif %})
api.add_resource({{ item['name'] }}.{{ item['controller']['className'] }}List, '{{ item['view']['post']['path'] }}'{% if item['view']['post']['endpoint'] %}, endpoint='{{ item['view']['post']['endpoint'] }}'{% endif %})
{% endfor %}
